  # __________________________________________________________ #
  #                                |                           #
  #  이토록 쉬운                   |     "데이터는 답이다"     #
  #  데이터 요약과 시각화 with R   |       _                   #
  # ______________________________ |    __| |   __ _   _ __    #
  #                                |   / _` |  / _` | | '_ \   #
  #  임경덕                        |  | (_| | | (_| | | |_) |  # 
  #   - dataartproject@gmail.com   |   \__,_|  \__,_| | .__/   #
  #   - http://dataartproject.com  |                  |_|      #
  # _______________________________|__________________________ #



# Info | 실습 안내 및 정보 전달



  # 안녕하세요, 임경덕입니다. 
  # 반갑고 감사합니다.
  # 책에는 담지 못한 내용이지만, 원활한 실습을 위해 몇가지 내용을 공유합니다.





# RStudio의 주요 기능과 단축키 소개 --------------------------------------------------



  # RStudio 프로젝트(Project) 기능
    ## 부록 A.2의 내용을 참고하셔서 꼭 알아두시길 추천드립니다.
    ## 프로젝트 기능을 활용하면 한글이 깨지는 인코딩 문제나 파일을 불러올 때 경로지정 문제 등을 손쉽게 처리할 수 있습니다.



  # 워크스페이스 초기화
    ## 상단 메뉴 [Session] -> [Clear Workspace]
    ## 혹은 RStudio 분할 화면에서 오른쪽 위 Environment 탭의 빗자루 아이콘 클릭
    ### 불러온 데이터, 생성한 객체 등을 제거. 

    


  # RStudio의 단축키를 활용하면 좀 더 효율적으로 실습하고 스크립트를 작성할 수 있습니다. 
  # 모든 단축키를 외울 필요는 없지만 몇가지는 알아두면 확실히 편합니다.
  # Windows와 macOS의 단축키를 순서대로 나열했습니다. 




  # 전체 단축키 확인 
    ## 상단 메뉴 [Tools] -> [Keyboard shortcuts help]
    ## 혹은 Alt + Shift + K | option + shift + K



  # 스크립트 실행
    ## Ctrl + Enter | command + Enter : 실행(자동으로 다음 명령어로 커서 이동)

    ## Alt + Enter  | option + Enter  : 실행(커서 이동 없음)
      ### 명령어를 조금씩 수정할 때 유용
    
    # 아래의 명령어로 두가지 실행방법을 실습해보세요.
    1+2
    3-4
      
    
      
  # 스크립트 작성
    ## Ctrl + Shift + M | control + shift + M : 파이프 연산자( %>% ) 입력
      ### 파이프 연산자는 4장부터 자주 활용
    
    ## Ctrl + Shift + C | command + shift + C : 주석(comment)/주석해제(uncomment)
      ### 한 줄씩 처리되고, shift나 마우스로 범위를 지정해서 주석처리 가능
    
    ## Tab / Shift + Tab : 들여쓰기 / 들여쓰기 취소
      ### 들여쓰기는 실제 명령어의 실행에는 영향은 주지 않고, 가독성을 위해서 활용
      

    ## 범위 지정 후 ', ( 입력해서 따옴표/괄호 양쪽에 붙이기
      ### 아래의 마우스나 shift로 TRUE를 모두 선택한 다음 작은따옴표를 눌러보기
      ### 양쪽으로 따옴표가 붙는지 확인한 다음 Ctrl + Z | command + Z로 취소하기
      TRUE
      
      ### 아래의 수식에서 1+4를 선택한 다음 (를 눌러보기
      ### 양쪽으로 괄호가 붙는지 확인하기
      1+4*5



  # Section 생성 및 활용
      
    ## #으로 시작하는 주석(comment) 끝에 ---- 또는 ####를 붙이면 Section 생성 가능)
      ### 스크립트 창의 제일 아래, 콘솔 창과 맞닿은 부분 눈으로 보기
      ### 'RStudio의 주요 기능과 단축키 소개, 실습 안내'라는 섹션이름 확인 가능
      ### 클릭해보면 나머지 Section도 확인 가능하고, 특성 Section을 클릭해서 이동 가능
      ### 위의 'Section 생성 및 활용' 뒤에 ----를 붙여 섹션 생성해보기 
    
        
    ## Ctrl + Shift + R | control + shift + R : Section 생성(이름 지정)

    ## Alt + L | command + option + L : 현재 Section 접기
      
    ## Alt + Shift + L | command + option + shift + L : 접은 Section 펼치기
      
      
    ## Alt + Shift + J | command + option + shift + J : Section 점프
      ### Section과 관련된 다른 단축키는 몰라도 점프는 기억해 두면 편함
      ### 스크립트 창 가장 아래 섹션 이름을 클릭하는 것과 동일한 작업
      ### 이후 방향키와 Enter로 섹션 이동 가능
      
      ### 전체 실습을 한번에 실행하기 어렵기 때문에 저자가 미리 지정해둔 예제별 섹션을 활용 이동 가능
      
      
  # 전체 스크립트 구성(아웃라인) 확인
    ## 상단 메뉴 [Code] -> [Show Document outline]
    ## Ctrl + Shift + O | command + shift + O
      ### 스크립트 창 오른쪽으로 섹션 중심의 아웃라인 메뉴 생성
      ### 마우스로 클릭해서 섹션 점프와 동일하게 이동 가능




# 추가 실습 안내 ---------------------------------------------------------------

  # 깔끔한 책 구성과 하나의 데이터셋 활용을 위해 책에서는 연습 문제나 추가 실습을 다루지 않았습니다.
  # 가장 좋은 추가 실습은 본인의 데이터를 활용하는 것, 관심있는 데이터를 활용하는 것입니다.
  
  # 혹은 아래의 참고 사이트에서 관심있는 데이터를 다운로드 받아 살펴볼 수도 있습니다.
    
    ## 공공데이터포털(https://www.data.go.kr/)
    ## 서울열린데이터광장(https://data.seoul.go.kr/)
    ## 국가통계포털(https://kosis.kr/)
    
        
  # 공유된 스크립트 중 "8_practice.R"에서는 건강보험 진료데이터 일부로 간단한 실습을 할 수 있도록 준비해뒀습니다.
  # 챕터 별로 구분된 섹션을 활용해서 매 챕터가 끝날 때마다 실습하거나 한번에 실습하시면 됩니다.
      
  # 난이도가 꽤 높을 수 있습니다. 어려워도 하나씩 도전해보시거나 스스로 문제를 설정해서 시도해보셔도 좋습니다.
  # 정답은 해당 스크립트 파일 아래쪽에 포함되어 있습니다. 
  
      
  # 아래의 명령어를 실행하면 해당 스크립트가 열립니다. 
  file.edit('rscript/8_practice.R')
  
      
  # 비슷한 방법으로 관심 데이터를 직접 분석해보시는 것을 추천합니다.

  
      
      
      

# 책/실습 오류 제보 및 문의 ---------------------------------------------------------

  # 책이나 실습 관련 오류는 홈페이지(dataartproject.com)의 게시판(개설 예정)이나 이메일로 제보 부탁드립니다. 
  # 책 내용이나 실습관련 문의 역시 동일한 방법으로 연락주시면 됩니다.
      
  
      
      
# 감사합니다:)
