  # __________________________________________________________ #
  #                                |                           #
  #  이토록 쉬운                   |     "데이터는 답이다"     #
  #  데이터 요약과 시각화 with R   |       _                   #
  # ______________________________ |    __| |   __ _   _ __    #
  #                                |   / _` |  / _` | | '_ \   #
  #  임경덕                        |  | (_| | | (_| | | |_) |  # 
  #   - dataartproject@gmail.com   |   \__,_|  \__,_| | .__/   #
  #   - http://dataartproject.com  |                  |_|      #
  # _______________________________|__________________________ #



# 2장 | 데이터 분석 준비하기

# R 기본 명령어 실습



  
  ## 안내 : 실습 시작전에 1_info.R 스크립트 내용을 꼭 확인해주세요:)



# 2.3 R과 RStudio 실행 -------------------------------------------------------


# [코드 2-1]
1+2*3

4/5-6



# [코드 2-2]
sum(1, 2, 3, 4, 5)




# 2.4 기본 명령어와 규칙 ----------------------------------------------------------


# [코드 2-3]
a = 2020
b = 2030
b-a



# [코드 2-4]
B = 3020
B-a



# [코드 2-5]
B



# [코드 2-6]
"B"



# [코드 2-7]
d = "D"
d



# [코드 2-8]
target = c("B", "TT", "UU")
target




# [코드 2-9]
region = c("서울", "부산", "제주")
months = c(3, 6, 9, 12)



# [코드 2-10]
seq1 = 1:4
seq1



# [코드 2-11]
3:-1



# [코드 2-12]
seq1 * 3



# [코드 2-13]
seq(3, 12, 3)



# [코드 2-14]
rep(3, 4)
rep(c("A", "Z"), 2)



# [코드 2-15]
rep(c("A", "Z"), each = 2)



# [코드 2-16]
paste("A", "+", 1, "등급")
paste("2학년", c("1반", "2반", "3반"), sep = "-")
paste(1:4, "학기", sep = "")
paste0(1:4, "학기")



# [코드 2-17]
substr("ABCDEFGHIJKLMNOPQRSTUVWXYZ", 10, 13)
substr("가A나B다C", 3, 4)



# [코드 2-18]
LETTERS




# [코드 2-19]
LETTERS[]
LETTERS[15]
LETTERS[c(7, 15, 15, 4)]



# [코드 2-20]
a = 1+4
b = seq(1,9,3)
new = b*(a+1)



# [코드 2-21]
a   = 1+4
b	  = seq(1, 9, 3)
new = b * (a+1)



# [코드 2-22]
# 아무리 실행해도 실행되지 않습니다. 
# x = 10 
x #당연히 오류가 발생합니다.





# 2.7 패키지 설치 --------------------------------------------------------------


# [코드 2-23]
install.packages("readxl")
  # 패키지 설치 중 아래의 콘솔창에서 다음과 같은 문구가 나오면
  # 콘솔창을 클릭하고 [Enter]를 누르면 됩니다. 

  # "Do you want to install from sources the package which needs compilation? (Yes/no/cancel)"

packages_to_install = c("dplyr", "ggplot2")
install.packages(packages_to_install)



# [코드 2-24]
library(readxl)






# End of script